tablet-browser-ui (0.5.3-2.8) unstable; urgency=low

  * Fixes: NB#80558 hw menu key and keyboard shortcuts don't work when browser content
    focused 
  * Fixes: NB#84274 keyboard shortcuts are not working when page content focused
  * Fixes: NB#84124 Single press of Esc HW key performs more than one back
    operation.

 -- Oleg Romashin <romaxa@gmail.com>  Wed, 30 Apr 2008 18:42:06 +0300

tablet-browser-ui (0.5.3-2.7) unstable; urgency=low

  * Fixes: NB#85000 zooming is doubled when browser status bar or title bar
    has focus 

 -- Oleg Romashin <romaxa@gmail.com>  Tue, 29 Apr 2008 18:12:29 +0300

tablet-browser-ui (0.5.3-2.6) unstable; urgency=low

  * Fixes: NB#84763 It is imposible to type in the Find toolbar 

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 28 Apr 2008 17:22:59 +0300

tablet-browser-ui (0.5.3-2.5) unstable; urgency=low

  * Fixes: NB#84310 Replace existing file of same name info note is not
    expected in the mentioned scenario. 

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 25 Apr 2008 18:56:10 +0300

tablet-browser-ui (0.5.3-2.4) unstable; urgency=low

  * Fixes: NB#84623 The list with previously typed/visited addresses is not
    appeared above Toolbar URL/File location Combo box when Browser is invoked
    from Bookmark Manager 

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 25 Apr 2008 17:07:53 +0300

tablet-browser-ui (0.5.3-2.3) unstable; urgency=low

  *  Fixed backspace button press in input fields, call go_back function 

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 25 Apr 2008 10:53:00 +0300

tablet-browser-ui (0.5.3-2.2) unstable; urgency=low

  * Fixes: NB#83460 [freetest] media player is not invoked when file was
    previously being saved on device

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 21 Apr 2008 15:04:08 +0300

tablet-browser-ui (0.5.3-2.1) unstable; urgency=low

  * Fixes: NB#83035 Fullscreen and Zoom keys doesn't work during page loading.

 -- Oleg Romashin <romaxa@gmail.com>  Thu, 17 Apr 2008 11:01:28 +0300

tablet-browser-ui (0.5.3-2) unstable; urgency=low

  * Fixes: NB#83840 In some cases 'Downloads' dialog does not appear. 

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 11 Apr 2008 18:17:05 +0300

tablet-browser-ui (0.5.3-1) unstable; urgency=low

  * Fixes: NB#83132 Normal screen becomes Full size and blank

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 11 Apr 2008 15:55:20 +0300

tablet-browser-ui (0.5.2-3) unstable; urgency=low

  * Fixes: NB#84004 Toolbar is shown even if the Show toolbar option is
    unchecked. 

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 11 Apr 2008 11:29:52 +0300

tablet-browser-ui (0.5.2-2) unstable; urgency=low

  * Fixes: NB#83035 Fullscreen and Zoom keys doesn't work during page loading 

 -- Oleg Romashin <romaxa@gmail.com>  Thu, 10 Apr 2008 15:35:51 +0300

tablet-browser-ui (0.5.2-1) unstable; urgency=low

  * Fixes: NB#78247 resuming file download on internal memory card doesn' work properly

 -- Oleg Romashin <romaxa@gmail.com>  Wed,  9 Apr 2008 13:31:16 +0300

tablet-browser-ui (0.5.1-3) unstable; urgency=low

  * Fixes: NB#83866 Unable to add bookmark through tool bar web menu 

 -- Oleg Romashin <romaxa@gmail.com>  Tue,  8 Apr 2008 17:29:36 +0300

tablet-browser-ui (0.5.1-2) unstable; urgency=low

  * Fixes: NB#78207 Focus lost on downloads dialog and unable to open context
    sensitive help 

 -- Oleg Romashin <romaxa@gmail.com>  Mon,  7 Apr 2008 16:53:35 +0300

tablet-browser-ui (0.5.1-1) unstable; urgency=low

  * Fixes: NB#83775 GLIB CRITICAL messages on Browser window close

 -- Oleg Romashin <romaxa@gmail.com>  Mon,  7 Apr 2008 15:38:07 +0300

tablet-browser-ui (0.5.0-1) unstable; urgency=low

  * Fixes: NB#83211 Pressing ESC HW key causes closing or freezing of browser

 -- Oleg Romashin <romaxa@gmail.com>  Mon,  7 Apr 2008 15:15:56 +0300

tablet-browser-ui (0.4.8-4) unstable; urgency=low

  * Fixes: NB#83646 browser crash when trying to open View submenu

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 07 Apr 2008 13:10:54 +0300

tablet-browser-ui (0.4.8-3) unstable; urgency=low

  * Fixes: NB#83486 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 07 Apr 2008 12:58:30 +0300

tablet-browser-ui (0.4.8-2) unstable; urgency=low

  * Fixes: NB#83548 browser has tendency to crash when settings dialog is

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 04 Apr 2008 15:41:48 +0300

tablet-browser-ui (0.4.8-1) unstable; urgency=low

  * Fixes: NB#77872 State saving in browser doesn't occur often enough.

 -- Oleg Romashin <romaxa@gmail.com>  Fri,  4 Apr 2008 13:20:33 +0300

tablet-browser-ui (0.4.7-7) unstable; urgency=low

  * Fixes: NB#83197 Javascript gets re-enabled after being disabled by the
    user 

 -- Oleg Romashin <romaxa@gmail.com>  Thu,  3 Apr 2008 16:28:59 +0300

tablet-browser-ui (0.4.7-6) unstable; urgency=low

  * Fixes: NB#83166 Press ESC HW key causes browser is closed

 -- Oleg Romashin <romaxa@gmail.com>  Thu,  3 Apr 2008 16:08:34 +0300

tablet-browser-ui (0.4.7-5) unstable; urgency=low

  * Fixes: NB#83003 Unable to add a feed from the web page, whereas pasting
    same feed address in add feed dialog gets added

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Tue,  1 Apr 2008 17:42:06 -0400

tablet-browser-ui (0.4.7-4) unstable; urgency=low

  * Fixes: NB#83285 Unable to disable toolbar shortcut option. 

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 31 Mar 2008 11:30:29 +0300

tablet-browser-ui (0.4.7-3) unstable; urgency=low

  * Fixes: NB#82222 browser go crazy if open flash file with flash plugin	disabled 

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 31 Mar 2008 10:49:12 +0300

tablet-browser-ui (0.4.7-2) unstable; urgency=low

  * Fixes: NB#83279 Browser crashes when Menu or Esc HW keys are pressed during startup

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 28 Mar 2008 13:38:23 +0200

tablet-browser-ui (0.4.7-1) unstable; urgency=low

  * Fixes: NB#83180 Replace existing file of same name confirmation note is
    not expected in the mentioned scenario

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 28 Mar 2008 11:37:29 +0200

tablet-browser-ui (0.4.6-3) unstable; urgency=low

  * Fixes: NB#78225 Wrong information banner string is appeared after using
    Paste function 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 25 Mar 2008 13:58:20 +0200

tablet-browser-ui (0.4.6-2) unstable; urgency=low

  * Fixes: NB#81568 Tapping several times on 'Go' button causes browser	suspending or crash 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 20 Mar 2008 15:54:30 +0200

tablet-browser-ui (0.4.6-1) unstable; urgency=low

  * Fixes: NB#80004 Some HW keyboard shortcuts not working: e.g. ctrl+L

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 20 Mar 2008 11:55:39 +0200

tablet-browser-ui (0.4.5-8) unstable; urgency=low

  * Fixes: NB#82364 Unable to open PDF document from MMC if placed under
    folder name containing space 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 19 Mar 2008 18:39:20 +0200

tablet-browser-ui (0.4.5-7) unstable; urgency=low

  * Reverted back last commit on desktop file 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 16 Mar 2008 13:47:01 +0200

tablet-browser-ui (0.4.5-6) unstable; urgency=low

  * Disabled toolbar and menu activity while engine not loaded

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 16 Mar 2008 13:40:16 +0200

tablet-browser-ui (0.4.5-5) unstable; urgency=low

  * Fixed possible crash on exit with dead engine

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 14 Mar 2008 16:22:55 +0200

tablet-browser-ui (0.4.5-4) unstable; urgency=low

  * Fixed possible crash of UI if engine symbols has changed 

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 14 Mar 2008 14:45:18 +0200

tablet-browser-ui (0.4.5-3) unstable; urgency=low

  * Fixes: NB#82561 Browser displays file download dialog when server sends a
    file with application/x-boingo-swconfig-v1 mimtype.(fixed in 0.4.4-3 version) 

 -- Josh Soref <josh.soref@nokia.com>  Fri, 14 Mar 2008 11:09:17 +0200

tablet-browser-ui (0.4.5-2) unstable; urgency=low

  * Fixes: NB#78247 [freetest] resuming file download on internal memory card doesn't work properly
    Volume handling code was never upgraded from 770 days... 

 -- Josh Soref <josh.soref@nokia.com>  Thu, 13 Mar 2008 19:22:00 +0200

tablet-browser-ui (0.4.5-1) unstable; urgency=low

  * Better handling of engine widget creation.

 -- Oleg Romashin <romaxa@gmail.com>  Thu, 13 Mar 2008 19:15:27 +0200

tablet-browser-ui (0.4.4-3) unstable; urgency=low

  * Handling boingo mimetype. 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 13 Mar 2008 10:09:05 +0200

tablet-browser-ui (0.4.4-2) unstable; urgency=low

  * Fixes: NB#82182 Opened statistic window is not scaling correctly with	www.veikkaus.fi page

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 12 Mar 2008 09:57:01 +0200

tablet-browser-ui (0.4.4-1) unstable; urgency=low

  *  Fixes: NB#80651 Browser hangs when trying to Open a flash object when 'Shockwave Flash' is disabled

 -- Oleg Romashin <romaxa@gmail.com>  Tue, 11 Mar 2008 19:03:05 +0200

tablet-browser-ui (0.4.3-2) unstable; urgency=low

  * Fixes: NB#80802 XPI files are not recognized in File Manager application. 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 11 Mar 2008 13:54:35 +0200

tablet-browser-ui (0.4.3-1) unstable; urgency=low

  * Disable not working check editable widget functionality 

 -- Oleg Romashin <romaxa@gmail.com>  Sun,  9 Mar 2008 21:08:44 +0200

tablet-browser-ui (0.4.2-6) unstable; urgency=low

  * Fixes: NB#81993 Browser crashes when opened from bookmarks in OOM

 -- Oleg Romashin <romaxa@gmail.com>  Sun,  9 Mar 2008 20:03:48 +0200

tablet-browser-ui (0.4.2-5) unstable; urgency=low

  * Fixes: NB#81666 Browser crashes on opening a bookmark 

 -- Oleg Romashin <romaxa@gmail.com>  Sun,  9 Mar 2008 16:54:40 +0200

tablet-browser-ui (0.4.2-4) unstable; urgency=low

  * Fixes: NB#81356 Not able to access status bar pugins while download is
    going on. 

 -- Oleg Romashin <romaxa@gmail.com>  Thu,  6 Mar 2008 15:38:39 +0200

tablet-browser-ui (0.4.2-3) unstable; urgency=low

  * Fixes: NB#80632 The help topic for Secure connection dialog cannot be
    opened. 

 -- Oleg Romashin <romaxa@gmail.com>  Thu,  6 Mar 2008 13:12:05 +0200

tablet-browser-ui (0.4.2-2) unstable; urgency=low

  * Fixes: NB#80043 The help topic for File download dialog cannot be opened. 

 -- Oleg Romashin <romaxa@gmail.com>  Thu,  6 Mar 2008 13:03:27 +0200

tablet-browser-ui (0.4.2-1) unstable; urgency=low

  * Fixes: NB#81829 backspace and Shift+backspace shortcuts not working in browser application from 

 -- Oleg Romashin <romaxa@gmail.com>  Wed,  5 Mar 2008 17:02:35 +0200

tablet-browser-ui (0.4.1-2) unstable; urgency=low

  * Added hw_keycode value for key-event signal, key_send event hack
    moved to ui

 -- Oleg Romashin <romaxa@gmail.com>  Wed,  5 Mar 2008 16:16:14 +0200

tablet-browser-ui (0.4.1-1) unstable; urgency=low

  * Fixes: NB#81440 HW keys doubled interaction in browser

 -- Oleg Romashin <romaxa@gmail.com>  Wed,  5 Mar 2008 14:54:33 +0200

tablet-browser-ui (0.4.2-2) unstable; urgency=low

  * Fixes: NB#80589 Media player launched with save target as.. option. 

 -- Oleg Romashin <romaxa@gmail.com>  Tue,  4 Mar 2008 18:47:03 +0200

tablet-browser-ui (0.4.2-1) unstable; urgency=low

  * History initialization moved after loading first page

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 28 Feb 2008 22:18:59 +0200

tablet-browser-ui (0.4.1-3) unstable; urgency=low

  * Fixes: NB#78744 tablet-browser-ui patch to support gcc-4.2 compilation

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Thu, 28 Feb 2008 17:47:52 -0500

tablet-browser-ui (0.4.1-2) unstable; urgency=low

  * RUN 40 coverity fixes

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 28 Feb 2008 10:00:16 +0200

tablet-browser-ui (0.4.1-1) unstable; urgency=low

  *  Additional fixes for bug NB#79943 Startup time of browser doesnt meet requirements

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 28 Feb 2008 09:43:29 +0200

tablet-browser-ui (0.3.11-3) unstable; urgency=low

  * Reduce history_list_get_items_count calls

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 27 Feb 2008 20:46:25 +0200

tablet-browser-ui (0.3.11-2) unstable; urgency=low

  * Fixes: NB#80802	XPI files are not recognized in File Manager application.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 24 Feb 2008 19:15:56 +0200

tablet-browser-ui (0.3.11-1) unstable; urgency=low

  * Fixes: NB#80558 hw menu key doesn't work when browser content focused

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 24 Feb 2008 11:36:15 +0200

tablet-browser-ui (0.3.10-3) unstable; urgency=low

  * Fixes: NB#77804 [reg1] nonexisting URLs appear in location choice
    list

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 23 Feb 2008 17:48:19 +0200

tablet-browser-ui (0.3.10-2) unstable; urgency=low

  * Fixes: NB#80592	It is imposible to change state of few component in browser application.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 23 Feb 2008 16:56:12 +0200

tablet-browser-ui (0.3.10-1) unstable; urgency=low

  * Fixed notification from control lib to UI lib about engine restart
  * Fixed download request after browser restart

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 15 Feb 2008 17:13:16 +0200

tablet-browser-ui (0.3.9-5) unstable; urgency=low

  * update changelog 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 15 Feb 2008 12:56:23 +0200

tablet-browser-ui (0.3.9-4) unstable; urgency=low

  * Neteal option by default

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 14 Feb 2008 13:24:48 +0200

tablet-browser-ui (0.3.9-3) unstable; urgency=low

  * Plugin/Components list API  improvements

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 14 Feb 2008 10:07:08 +0200

tablet-browser-ui (0.3.9-2) unstable; urgency=low

  * Improved components/plugins API

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 09 Feb 2008 20:13:51 +0200

tablet-browser-ui (0.3.9-1) unstable; urgency=low

  * Certificate context fixes in get_server_certificate
  * usage of g_web_engine_embed_engine_widget_xid changed.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri,  8 Feb 2008 11:46:21 +0200

tablet-browser-ui (0.3.8-2) unstable; urgency=low

  * Added certificate context in get_server_certificate API 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri,  1 Feb 2008 14:11:46 +0200

tablet-browser-ui (0.3.8-1) unstable; urgency=low

  * Add neteal dependency
  * Fixed HW keys in client-server mode
  * Fixed using maemo-launcher DBO

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri,  1 Feb 2008 10:38:23 +0200

tablet-browser-ui (0.3.7-3) unstable; urgency=low

  * Added neteal dependency

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 31 Jan 2008 14:02:42 +0200

tablet-browser-ui (0.3.7-2) unstable; urgency=low

  * Fixes: NB#78926 Replace file confirmation note is not displayed while sa...
  * Enable maemo-launcher
  * Fixed tab spaces Added vim settings added log for failed server lookup 
  * Removed wrong defines
  * Removed neteal initialization from main function
  * Chinese encodings support

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 25 Jan 2008 22:37:14 +0200

tablet-browser-ui (0.3.7-1) unstable; urgency=low

  * Fixed history list working on new eal
  * Fixed socket initialization

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 21 Jan 2008 11:04:34 +0200

tablet-browser-ui (0.3.6-1) unstable; urgency=low

  * Added patch for building with neteal
  * Fixed crash on G.*OBJECT(web)
  * Fixed some crashes cases when download manager not exists

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 13 Jan 2008 19:17:20 +0200

tablet-browser-ui (0.3.5-2) unstable; urgency=low

  * Test build with neteal library.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon,  7 Jan 2008 13:28:45 +0200

tablet-browser-ui (0.3.5-1) unstable; urgency=low

  * Added patch for building with neteal 
  * Fixed bug:page stored in web-link is tried to save always when page
    is displayed. Fixes: NB#78158
  * Fixed bug:browser is closing all its windows instead of one that is
    ordered. Fixes: NB#78864
  * Fixed bug:Replace file confirmation note is not displayed while saving a
    webpage. Fixes: NB#78926

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon,  7 Jan 2008 10:11:24 +0200

tablet-browser-ui (0.3.4-1) unstable; urgency=low

  * Fixed bug:gmail attachment cannot be opened from file download dialog.
    Fixes: NB#78619
  * Fixed bug:Edit submenu is not opened after first tap. Fixes: NB#72477

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 28 Dec 2007 15:57:20 +0200

tablet-browser-ui (0.3.3-1) unstable; urgency=low

  * Fixed bug:The save target as option opens media player instead of
    Save file dialog. Fixes: NB#78620
  * Disabled self killing in debug mode
  * Fixed bug:VKB does not close in the mentioned use case. Fixes: NB#78280
  * Fixed bug:Minor leak in gtkadi. Fixes: NB#78022
  * Fixed bug:Focus not switched when invoking wrong path bookmark in 
    manager. Fixes: NB#78259

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 17 Dec 2007 11:35:59 +0200

tablet-browser-ui (0.3.2-1) unstable; urgency=low

  * Integrated with new email interface
  * Fixed bug:Taping on OK in settings dialog doesn't save the options. 
    Fixes: NB#77873
  * Fixed bug:Browser page laoding arrow is not shown in the Task navigator
    Application switcher. Fixes: NB#78062
  * Fixed bug:Open new window' opens its home page in already opened web page.
    Fixes: NB#78063

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon,  3 Dec 2007 11:41:38 +0200

tablet-browser-ui (0.3.1-1) unstable; urgency=low

  * Fixed bug:Browser crashed when close window after logging in AOL
    mail. Fixes: NB#77378

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 28 Nov 2007 11:48:38 +0200

tablet-browser-ui (0.3.0-1) unstable; urgency=low

  * Fixed bug:Web menu does not open reliably. Fixes: NB#76317
  * Fixed bug:Updated package licensing information. Fixes: NB#75173

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 19 Nov 2007 19:35:34 +0200

tablet-browser-ui (0.2.23-1) unstable; urgency=low

  * Fixed bug:Random browser crash. Fixes: NB#74368
  * Fixed bug:coverity findings in several browser packages. Fixes: NB#74165

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 29 Oct 2007 10:59:15 +0200

tablet-browser-ui (0.2.22-1) unstable; urgency=low

  * Fixed bug:Browser start page links to .fi sites, and doesn't work in
    various cases. Fixes: NB#73760

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 18 Oct 2007 19:11:36 +0300

tablet-browser-ui (0.2.21-1) unstable; urgency=low

  * Fixed bug:Mozilla logo on default homepage needs replacement!.
    Fixes: NB#73217
  * Fixed bug:start page should look professional and similar to google.com.
    Fixes: NB#73208

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 15 Oct 2007 17:37:52 +0300

tablet-browser-ui (0.2.20-2) unstable; urgency=low

  * Renamed default home page.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 10 Oct 2007 18:56:22 +0300

tablet-browser-ui (0.2.20-1) unstable; urgency=low

  * Updated browser default home page. Fixes: NB#72794

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 10 Oct 2007 14:12:28 +0300

tablet-browser-ui (0.2.19-1) unstable; urgency=low

  * Fixed bug:Favicons are not displayed in the Application
    Switcher. Fixes: NB#71511

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  7 Oct 2007 19:20:15 +0300

tablet-browser-ui (0.2.18-1) unstable; urgency=low

  * Fixed bug:Save target as missing from the Link CSM. Fixes: NB#70522
  * Fixed bug:'Updating' animation banner is missing when fit width to view
    option is selected. Fixes: NB#71266
  * Fixed bug:Impossible to listen to RealPlayer audio samples on amazon.com.
    Fixes: NB#71162
  * Fixed bug:Long bookmark title is truncated. Fixes: NB#58280
  * Added functionality to enbale plugins if they are disabled due to low memory.
  * Fixed bug:Support for mimetype application/x-mplayer2 needed. 
    Fixes: NB#70885
  * Fixed bug:Support for mimetype application/x-mplayer2 needed. 
    Fixes: NB#70886
  * Fixed bug:"Delete download" confirm dialog appears behind download dialog.
    Fixes: NB#70817
  * Fixed bug:'Find' toolbar doesn't show the previuosly searched string.
    Fixes: NB#57190
  * Fixed bug:Wrong item is highlighted in Find toolbar history list. 
    Fixes: NB#52301
  * Fixed bug:Media player failed to play WVX streams over http and crashing
    the media player engine. Fixes: NB#64681

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 30 Sep 2007 15:12:35 +0300

tablet-browser-ui (0.2.17-1) unstable; urgency=low

  * Fixed bug:File manager does not recognize file type of Karttapaikka web
    page saved from Internet server to local file system with Web browser.
    Fixes: NB#58059
  * Fixed bug:Taping on OK in settings dialog doesn't save the options..
    Fixes: NB#59044
  * Fixed bug:Wrong information banner in unable to paste case. 
    Fixes: NB#70084

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 23 Sep 2007 21:22:21 +0300

tablet-browser-ui (0.2.16-1) unstable; urgency=low

  * Fixed bug:Position of bookmark menu launched using Ctrl+B is inconsistent.
    Fixes: NB#68810
  * Fixed bug:A new browser window doesn't appear as a last item in the
    Windows submenu. Fixes: NB#68643
  * Fully fixed bug Bug 61763 Page loaded in a wrong browser window
  * fixed possible crash related to plugins
  * Small hack fix for direct opening mms:// protocol

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 17 Sep 2007 09:10:31 +0300

tablet-browser-ui (0.2.15-1) unstable; urgency=low

  * Fixed bug#68779:Browser refuses to go to full screen mode simultanously
    when loading page. Fixes: NB#68779

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 12 Sep 2007 11:47:14 +0300

tablet-browser-ui (0.2.14-2) unstable; urgency=low

  * Fixed bug#68589:xbm file opening causes edless loop

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  9 Sep 2007 19:47:44 +0300

tablet-browser-ui (0.2.14-1) unstable; urgency=low

  * Fixed bug:Unable to launch bookmark menu second time with Ctrl+B [short key]. 
    Fixes: NB#68809
  * Fixed bug:wrong reaction on bluetooth disconnect while loading operation.
    Fixes: NB#52233
  * Fixed bug: Chat active view, for URL links "Save target as..." CSM option
    is missing. Fixes: NB#61195
  * Fixed packaging without maemo launcher
  * Fixed bug:Endurance: Glib critical errors found in browser. 
    Fixes: NB#65670
  * Fixed bug: Browser emits criticals when closed as soon as possible after
    launching. Fixes: NB#67881

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  9 Sep 2007 17:54:13 +0300

tablet-browser-ui (0.2.13-1) unstable; urgency=low

  * Fixed bug:problems with bookmark menu launched with Ctrl B. 
    Fixes: NB#66480
  * Fixed bug:Esc hard key not working to cancel bookmark menu. 
    Fixes: NB#66481
  * Fixed bug:(blank page) shown in Browser window title while initializing
    the engine. Fixes: NB#67372
  * Fixed bug:Save as dialog displayes Type field for not hypertext document.
    Fixes: NB#66392
  * Fixed bug:The same URL address is typed into two different browser
    windows. Fixes: NB#64863
  * Fixed some replcaements and defines for home page

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 31 Aug 2007 20:03:32 +0300

tablet-browser-ui (0.2.12-1) unstable; urgency=low

  * Fixed bug:Cannot change to full screen using hard key. Fixes: NB#66711
  * Fixed bug:User feedback shall be during engine initialization.
    Fixes:NB#52449
  * Fixed bug:Open option doesn't work in CSM for bookmark. Fixes: NB#65436 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 26 Aug 2007 15:45:01 +0300

tablet-browser-ui (0.2.11-1) unstable; urgency=low

  * Fixed bug#Browser shall be compiled with -fPIC. Fixes: NB#52969
  * Fixed bug#Save file dialog does not contain Type field when opened for a
    web page. Fixes: NB#64635
  * save password dialog has been re-implemented.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 17 Aug 2007 18:56:52 +0300

tablet-browser-ui (0.2.10-1) unstable; urgency=low

  * Fixed bug:Real media stream over HTTP doesn't play. Fixes: NB#64577

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 12 Aug 2007 20:26:19 +0300

tablet-browser-ui (0.2.9-1) unstable; urgency=low

  * Fixed bug vkb Keyboard will not stay open/up with toolbar hidden.
  * Fixed bug no information banner about already at the top of history list is
    displayed when HW key is used as back button. Fixes: NB#58951
  * Fixed bug My bookmark folder is not selected by default in "Move to
    folder" dialog. Fixes: NB#57317

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu,  9 Aug 2007 16:40:00 +0300

tablet-browser-ui (0.2.8-1) unstable; urgency=low

  * Fixes: NB#58686,NB#58974

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri,  3 Aug 2007 17:11:10 +0300

tablet-browser-ui (0.2.7-1) unstable; urgency=low

  * Fixes: NB#64407,NB#63566,NB#62358

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 27 Jul 2007 17:03:42 +0300

tablet-browser-ui (0.2.6-1) unstable; urgency=low

  * Fixes: NB#57579,NB#63892,NB#55206,NB#59311

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 20 Jul 2007 20:36:42 +0300

tablet-browser-ui (0.2.5-1) unstable; urgency=low

  * Fixes: NB#61736,NB#56875 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 15 Jul 2007 15:45:51 +0300

tablet-browser-ui (0.2.4-1) unstable; urgency=low

  * Fixes: NB#57722

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed,  4 Jul 2007 15:47:59 +0300

tablet-browser-ui (0.2.3-1) unstable; urgency=low

  * Fixes: NB#52449,NB#58901
  * removed hildon-base-lib dependency

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  1 Jul 2007 18:47:51 +0300

tablet-browser-ui (0.2.2-1) unstable; urgency=low

  * Added glib helper macros.
  * Replaced some g_free function on MAcro with null pointer

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 25 Jun 2007 19:08:17 +0300

tablet-browser-ui (0.2.1-1) unstable; urgency=low

  * Implemented: NR#153621
  * Fixes: NB#60286,NB#60289,NB#55578,NB#60327,NB#60422
  * Fixed building browser-ui on MAEMO SDK environment
  * Fixed glib critical GLIB CRITICAL ** default - browser_engine_sleep:
  * Removed long pointers access
  * Disabled adress change when it is editing
  * added correct ifdefs for Open location command functionality

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 23 Jun 2007 21:07:23 +0300

tablet-browser-ui (0.2.0-1) unstable; urgency=low

  * Fixed Bug 58699 Browser crashes during endurance testing

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 18 Jun 2007 09:51:39 +0300

tablet-browser-ui (0.1.10-1) unstable; urgency=low

  * Updated changelog

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Fri, 15 Jun 2007 16:47:32 +0300

tablet-browser-ui (0.1.9-1) unstable; urgency=low

  * Fixes: NB#58019
  * Set special address instead of full path to the file
  * Removed printfs
  * Components shortcut menus functionality has been implemented

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Fri,  8 Jun 2007 17:48:38 +0300

tablet-browser-ui (0.1.8-1) unstable; urgency=low

  * Partial: NR#167785
  * Implemented: NR#167787
  * 1.0 bug fixes: 56566

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Fri, 25 May 2007 10:22:43 +0300

tablet-browser-ui (0.1.7-1) unstable; urgency=low

  * Partial: NR#167785

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Sun, 20 May 2007 18:15:23 +0300

tablet-browser-ui (0.1.6-1) unstable; urgency=low

  * Fixes: NB#54892

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Tue, 15 May 2007 13:18:12 +0300

tablet-browser-ui (0.1.5-1) unstable; urgency=low

  * Fixes: NB#56363
  * 1.0 bug fixes: 55640, 56394

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Sun, 13 May 2007 19:49:27 +0300

tablet-browser-ui (0.1.4-1) unstable; urgency=low

  * Fixed backup & restore problem.

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Fri, 11 May 2007 11:53:24 +0300

tablet-browser-ui (0.1.3-1) unstable; urgency=low

  * Disable kill browser functionality
  * Modified url load time logging functionality
  * Fixed browser crash during closing

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Thu, 10 May 2007 11:12:24 +0300

tablet-browser-ui (0.1.2-1) unstable; urgency=low

  * Updated changelog

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Wed,  2 May 2007 20:21:49 +0300

tablet-browser-ui (0.1.1-1) unstable; urgency=low

  * Fixed browser exit problem.
  * modified plugin notification stuff
  * Bug fixes: 54360,54463,54231

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Wed, 25 Apr 2007 13:16:35 +0300

tablet-browser-ui (0.1.0-1) unstable; urgency=low

  * Updated changelog

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Tue, 17 Apr 2007 11:33:08 +0300

tablet-browser-ui (0.0.1-1) unstable; urgency=low

  * Initial release.

 -- Leonid Zolotarev <leonid.zolotarev@nokia.com>  Fri, 13 Apr 2007 00:10:48 +0300
